Subject: [bug#49640] [PATCH core-updates] gnu: ghostscript: Improve reproducibility of PDF document generation

From: Ludovic Courtès <[email-masked]>
Date: Mon, 19 Jul 2021 16:35:18 +0200

Hi Guillaume,

Guillaume Le Vaillant <[email-masked]> skribis:

> When trying to solve a reproducibility issue when generating the
> PDF documentation of the txr software (see [1]), Paul Patience noticed
> that ghostscript writes a creation date in the PDF even when the
> GS_GENERATE_UUIDS environment variable is set to "0".
>
> The attached patch updates 'ghostscript-no-header-creationdate.patch' to
> fix this issue.
>
> Given the amount of rebuilds caused by modifying ghostscript, this
> should go to core-updates, but is core-updates in freeze state already,
> or can I push this patch right now?

[...]

> From db5962c68099f835350c24c8a3f889b9fa1f8a8e Mon Sep 17 00:00:00 2001
> From: Guillaume Le Vaillant <[email-masked]>
> Date: Mon, 19 Jul 2021 11:48:12 +0200
> Subject: [PATCH] gnu: ghostscript: Improve reproducibility of PDF document
>  generation
>
> * gnu/packages/patches/ghostscript-no-header-creationdate.patch: Disable
>   writing "xmp:ModifyDate" and "xmp:CreateDate" if GS_GENERATE_UUIDS is set to
>   "0" or "no".

LGTM, you can push to ‘core-updates’.  Was this submitted upstream?

Note: when ‘core-updates’ is frozen, we’ll fork ‘core-updates-frozen’ so
that people can happily keeping messing up on ‘core-updates’.  This was
suggested some months ago during the Guix Days and I think it can make
things smoother!

Thanks,
Ludo’.